If an ID is passed or an existing employee is matched (according to the matchType parameter), it will be updated. Otherwise a new employee will be created.

MatchType parameter values:

  • Standard (default): attempts to match an existing employee - first, based on the external ID, then on Payroll ID, then National Insurance number and finally on first name + surname + date of birth + gender
  • None: do not attempt to match an existing employee (create a new one)
  • An employee may be created with a status of 'Incomplete' by specifying at least the minimum fields; firstName, surname, startDate, employeeStatement, NationalInsuranceNumber, NationalInsuranceCategory, NationalInsuranceCalculationMethod, TaxCode and TaxCalculationMethod. For an employee record to be considered 'Complete' the following groups of data are required:

  • Basic Details (Name, Start Date, Date of Birth and Address Details)
  • National Insurance Record
  • Pay Run Defaults (Default Pay Category, Pay Cycle and Location)
  • Locations (at least one)
  • Bank Account/s (at least one)
  • Pension Details
  • If reporting dimensions are enabled for the business, add primary reporting dimension values using "|" as a separator between values.

    Bypassing address validation:

    By default we validate addresses when they are entered. If for any reason you want to skip this validation, please follow the steps below.

    1. Set "ResidentialAddressIsOverseas" and "PostalAddressIsOverseas" to "true" (this needs to be a boolean in a string).
    2. Set "ResidentialCountry" and "PostalCountry" to the country of the address (e.g. United Kingdom)
    3. Now you can enter your address unrestricted in the normal fields.

    Please note that when ResidentialAddressIsOverseas is set to "true", ResidentialCountry must be set and likewise with PostalAddressIsOverseas and PostalCountry.

    Request

    POST http:///api/v2/business/{businessId}/employee/unstructured

    Path parameters

    Parameter name Value Description Additional
    businessId string Required

    Query parameters

    Parameter name Value Description Additional
    model
    matchType string

    Possible values are:

    • None
    • Standard

    Response

    The following HTTP status codes may be returned, optionally with a response resource.

    Status code Description Resource
    200 OK

    OK

    UkUnstructuredEmployeeModel
    201 Created

    Created

    UkUnstructuredEmployeeModel
    400 Bad Request

    Bad Request

    ProblemDetails